Bug 568809 (CVE-2010-0431) - CVE-2010-0431 qemu: Insufficient guest provided pointers validation
Summary: CVE-2010-0431 qemu: Insufficient guest provided pointers validation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0431
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 568816 568817 568818 568819 568820
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-26 16:56 UTC by Petr Matousek
Modified: 2019-09-29 12:35 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-08 20:06:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0622 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-08-19 21:45:16 UTC
Red Hat Product Errata RHSA-2010:0627 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-08-19 21:31:45 UTC

Description Petr Matousek 2010-02-26 16:56:56 UTC
Izik Eidus found a bug in QEMU that allows priviledged guest user
to touch arbitrary memory in the hosting QEMU process. The bug is in
QXL code. Guest and host share region of memory and
use it to communicate with each other. Malicious user can use the
lack of validation of pointers embedded into data structures in
this memory area to touch host's abitrary memory location and/or make
the hosting QEMU process crash by dereferencing invalid pointer.

Comment 9 errata-xmlrpc 2010-08-19 21:31:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0627 https://rhn.redhat.com/errata/RHSA-2010-0627.html

Comment 10 errata-xmlrpc 2010-08-19 21:45:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0622 https://rhn.redhat.com/errata/RHSA-2010-0622.html


Note You need to log in before you can comment on or make changes to this bug.